<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <!--
      ideia de watchers:
      - recurso da vue instance para monitorar mudanças em determinada variável (dado na instância), com possibilidade de fazer algo em resposta a essas alterações

      diferença computed properties e watchers:
      
      - computed properties ("propriedade calculada / computada"): o método chamado retorna algo síncrono (tem que retornar). ao chamar-se a função, o retorno deve estar pronto pra ser usado no template. deve necessariamente retornar algo.

      - watchers: consegue-se fazer ações assíncronas. não necessariamente precisa retornar algo. não gera propriedade computada. monitora alterações de propriedades.
    -->
    <h1>Contador 1</h1>
    <button v-on:click="diminuirCont1">Diminuir</button>
    <button v-on:click="aumentarCont1">Aumentar</button>
    <p>Contador 1: {{ contador1 }}</p>
    <p>Resultado 1: {{ resultado1 }}</p>

    <h1>Contador 2</h1>
    <button v-on:click="diminuirCont2">Diminuir</button>
    <button v-on:click="aumentarCont2">Aumentar</button>
    <p>Contador 2: {{ contador2 }}</p>
    <p>Resultado 2: {{ resultado2 }}</p>
  </div>
  <script src="app.js"></script>
</body>

</html>